Subject: Re: bug#1077: 23.0.60; x-create-frame: (wrong-type-argument number-or-marker-p nil)

From: martin rudalics <[email-masked]>
Date: Tue, 30 Nov 2010 20:49:57 +0100

>> Minibuffer-only frames don't have a menubar by design.  Surprisingly
 >> they have (menu-bar-lines . 1) here.
 >
 > Why by design?  I mean why must that be the design?  No menu-bar by default, I
 > could understand.

I doesn't have to be designed that way.  But the minibuffer window is
special so you would have to design a minibuffer-menubar with its own
keymap.  That would be a different design.

 > And I'm someone who would probably _not_ enable such things for my own
 > minibuffer frame.  I just don't see why we throw out the possibility.

I do.  Nobody's around to write such a thing.

martin